#ifndef _POWER_H_
#define _POWER_H_

#define POWER_DEBUG    1
#if POWER_DEBUG
    #define power_bug(fmt, ...)      debug(fmt, ##__VA_ARGS__)
#else
    #define power_bug(fmt, ...)
#endif


extern volatile  uint8_t Flag_system_hib;
extern volatile uint8_t Flag_system_wfi;

void power_control_init(void);
void wfi_gpio_init(gpio_pin_t pin);
void onoff_pin_init(void);
void pmu_enter_hibernate(void);
void pmu_enter_wfi(void);
void system_pmu_process(void);
void system_wakeup_process(void);
void system_reboot(void);
#endif // _POWER_H_